Skip to main content
GET
List delivery history across webhooks
OAuth Scope

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

limit
integer<int32>

Maximum number of records to return. Range 1-100. Defaults to 10.

page_cursor
string

Pagination cursor from a previous response.

webhook_ids
string[]

Optionally filter to one or more webhooks. Empty returns all webhooks. Limit 100.

statuses
enum<string>[]

Optionally filter by one or more delivery statuses. Empty returns all statuses.

Available options:
DELIVERY_STATUS_SUCCESS,
DELIVERY_STATUS_FAILURE_RETRIABLE,
DELIVERY_STATUS_FAILURE_PERMANENT
attempt_at.lt
string<date-time>

Include timestamps strictly less than lt. RFC3339 format, like 2006-01-02T15:04:05Z.

attempt_at.lte
string<date-time>

Include timestamps less than or equal to lte. RFC3339 format, like 2006-01-02T15:04:05Z.

attempt_at.eq
string<date-time>

Include timestamps exactly equal to eq. RFC3339 format, like 2006-01-02T15:04:05Z.

attempt_at.gte
string<date-time>

Include timestamps greater than or equal to gte. RFC3339 format, like 2006-01-02T15:04:05Z.

attempt_at.gt
string<date-time>

Include timestamps strictly greater than gt. RFC3339 format, like 2006-01-02T15:04:05Z.

Response

200 - application/json

A successful response.

items
object[]
next_page_cursor
string